birthplace: Monroe, LA, United States
discography:
- catalog: OUS-003
  date: '2005-02-08'
  link: album/1493
  reprint: false
  roles:
  - Performer
  titles:
    en: Xenogears Light | an arranged album
    ja: Xenogears Light | an arranged album
    ja-latn: Xenogears Light | an arranged album
  type: doujin
- catalog: OUS-004
  date: '2005-06-28'
  link: album/1159
  reprint: false
  roles:
  - Arranger
  - Electric Guitar
  titles:
    en: The OneUps Volume 1
    ja: The OneUps Volume 1
    ja-latn: The OneUps Volume 1
  type: game
- catalog: FF-001
  date: '2007-08-24'
  link: album/4821
  reprint: false
  roles:
  - Performer
  titles:
    en: Prelude
    ja: Prelude
    ja-latn: Prelude
  type: doujin
- catalog: OCRA-0009
  date: '2007-09-14'
  link: album/4608
  reprint: false
  roles:
  - Performer
  titles:
    en: 'Final Fantasy VII: Voices of the Lifestream'
    ja: 'Final Fantasy VII: Voices of the Lifestream'
    ja-latn: 'Final Fantasy VII: Voices of the Lifestream'
  type: doujin
- catalog: OUS EP-05
  date: '2008-08-23'
  link: album/10218
  reprint: false
  roles:
  - Performer
  titles:
    en: Thai Guy
    ja: Thai Guy
    ja-latn: Thai Guy
  type: doujin
- catalog: OUS-005
  date: '2008-09-02'
  link: album/8716
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: The OneUps Volume 2
    ja: The OneUps Volume 2
    ja-latn: The OneUps Volume 2
  type: game
- catalog: ME-C12
  date: '2010-05-04'
  link: album/18971
  reprint: false
  roles:
  - Arranger
  titles:
    en: The OneUps Volume 1&2 Combo Pack
    ja: The OneUps Volume 1&2 Combo Pack
    ja-latn: The OneUps Volume 1&2 Combo Pack
  type: doujin
- catalog: OUS-008
  date: '2010-05-04'
  link: album/13682
  reprint: false
  roles:
  - Performer
  titles:
    en: SUPER MARIO KART ALBUM
    ja: SUPER MARIO KART ALBUM
    ja-latn: SUPER MARIO KART ALBUM
  type: game
- catalog: OUS-009
  date: '2011-01-18'
  link: album/23070
  reprint: false
  roles:
  - Performer (as T.Y.)
  titles:
    en: Intergalactic Redux
    ja: Intergalactic Redux
    ja-latn: Intergalactic Redux
  type: game
- catalog: N/A
  date: 2012-05
  link: album/32579
  reprint: false
  roles:
  - Performer
  titles:
    en: Bits of Me
    ja: Bits of Me
    ja-latn: Bits of Me
  type: doujin
- catalog: ME-002
  date: '2012-09-11'
  link: album/34369
  reprint: false
  roles:
  - Performer (as T-1000)
  titles:
    en: Intergalactic Continuum
    ja: Intergalactic Continuum
    ja-latn: Intergalactic Continuum
  type: game
- catalog: N/A
  date: '2012-10-16'
  link: album/35957
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Danse Macabre
    ja: Danse Macabre
    ja-latn: Danse Macabre
  type: doujin
- catalog: LOUDR-1159
  date: '2013-09-15'
  link: album/41589
  reprint: false
  roles:
  - Performer
  titles:
    en: 'World 1-2: Encore'
    ja: 'World 1-2: Encore'
    ja-latn: 'World 1-2: Encore'
  type: game
- catalog: N/A
  date: '2013-09-16'
  link: album/41631
  reprint: false
  roles:
  - Performer
  titles:
    en: 'World 1-2: The Complete Collection'
    ja: 'World 1-2: The Complete Collection'
    ja-latn: 'World 1-2: The Complete Collection'
  type: game
- catalog: N/A
  date: '2013-09-28'
  link: album/41159
  reprint: false
  roles:
  - Musician
  - Arranger
  - Performer
  titles:
    en: Spectrum of Mana
    ja: 'Spectrum of Mana: A Tribute to Secret of Mana'
    ja-latn: Spectrum of Mana
  type: doujin
- catalog: N/A
  date: '2013-10-29'
  link: album/42702
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Danse Macabre 2
    ja: Danse Macabre 2
    ja-latn: Danse Macabre 2
  type: doujin
- catalog: ME-007
  date: '2014-10-15'
  link: album/48672
  reprint: false
  roles:
  - Performer
  titles:
    en: Songs for the Recently Deceased
    ja: Songs for the Recently Deceased
    ja-latn: Songs for the Recently Deceased
  type: game
- catalog: N/A
  date: '2014-12-11'
  link: album/49779
  reprint: false
  roles:
  - Performer
  titles:
    en: Super VG Christmas Party
    ja: Super VG Christmas Party
    ja-latn: Super VG Christmas Party
  type: doujin
- catalog: N/A
  date: '2016-02-14'
  link: album/57193
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: 'Chronicles of Time: A Chrono Trigger Arrangement Project'
    ja: 'Chronicles of Time: A Chrono Trigger Arrangement Project'
    ja-latn: 'Chronicles of Time: A Chrono Trigger Arrangement Project'
  type: game
- catalog: ME-008
  date: '2016-02-19'
  link: album/57206
  reprint: false
  roles:
  - Performer
  titles:
    en: Part Seven
    ja: Part Seven
    ja-latn: Part Seven
  type: doujin
- catalog: N/A
  date: '2016-09-29'
  link: album/62031
  reprint: false
  roles:
  - Arranger
  - Performer
  - Mixing Engineer
  titles:
    en: Tribute Album 64
    ja: Tribute Album 64
    ja-latn: Tribute Album 64
  type: doujin
- catalog: N/A
  date: '2016-10-15'
  link: album/62426
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Danse Macabre 5
    ja: Danse Macabre 5
    ja-latn: Danse Macabre 5
  type: doujin
- catalog: N/A
  date: '2017-10-13'
  link: album/72320
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Danse Macabre 6
    ja: Danse Macabre 6
    ja-latn: Danse Macabre 6
  type: doujin
- catalog: SMRC-1018
  date: '2019-02-14'
  link: album/83505
  reprint: false
  roles:
  - Performer
  titles:
    en: The World is Square
    ja: The World is Square
    ja-latn: The World is Square
  type: game
- catalog: ME-014
  date: '2019-05-23'
  link: album/86946
  reprint: false
  roles:
  - Solo Electric Guitar
  - Vocals
  - Guitar
  - Bass
  - Bass Guitar
  - Lyricist
  - Arranger
  - Producer
  - Electric Guitar
  titles:
    en: The OneUps Volume 4
    ja: The OneUps Volume 4
    ja-latn: The OneUps Volume 4
  type: game
- catalog: ME-015
  date: '2020-05-01'
  link: album/98452
  reprint: false
  roles:
  - Performer
  titles:
    en: B-Sides
    ja: B-Sides
    ja-latn: B-Sides
  type: game
- catalog: N/A
  date: '2022-08-26'
  link: album/122929
  reprint: false
  roles:
  - Electric Guitar
  titles:
    en: Arkadia Retrocade
    ja: Arkadia Retrocade
    ja-latn: Arkadia Retrocade
  type: doujin
- catalog: TROGGO 04
  date: 2022-11
  link: album/124008
  reprint: false
  roles:
  - Performer
  titles:
    en: '20'
    ja: '20'
    ja-latn: '20'
  type: doujin
- catalog: N/A
  date: '2025-05-02'
  link: album/149749
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: Undertale EP
    ja: Undertale EP
    ja-latn: Undertale EP
  type: doujin
featured_on: []
info:
  Birthplace: Monroe, LA, United States
  Credited works: 29 albums in database
  Credits:
  - 25 performer
  - 12 arranger
  - 3 electric guitar
  - 1 musician
  - 1 mixing engineer
  - 1 solo electric guitar
  - 1 vocals
  - 1 guitar
  - 1 bass
  - 1 bass guitar
  - 1 lyricist
  - 1 producer
  Units: &id001
  - link: artist/512
    names:
      en: The OneUps
      ja: The OneUps
link: artist/514
meta:
  added_date: 2007-10-27T23:50
  edited_date: 2016-03-24T04:22
  fetched_date: 2025-12-07T18:31
  ttl: 86400
  visitors: 5315
name: Tim Yarbrough
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/41/514/514-1458822132.jpg
picture_small: https://thumb-media.vgm.io/artists/41/514/514-1458822132.jpg
type: Individual
units: *id001
vgmdb_link: https://vgmdb.net/artist/514?perpage=99999
websites:
  Personal: []
